Name:           perl-DBIx-Class-EncodedColumn
Version:        0.00013
Release:        4%{?dist}
Summary:        Automatically encode columns
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/DBIx-Class-EncodedColumn/
Source0:        http://search.cpan.org/CPAN/authors/id/W/WR/WREIS/DBIx-Class-EncodedColumn-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(CPAN)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(ExtUtils::MM_Unix)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(Crypt::Eksblowfish::Bcrypt)
# Unused BuildRequires:  perl(Crypt::OpenPGP)
BuildRequires:  perl(DBIx::Class)
BuildRequires:  perl(DBIx::Class::Core)
BuildRequires:  perl(DBIx::Class::Schema)
BuildRequires:  perl(Digest)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Sub::Name)
# Tests only
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(Dir::Self)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(utf8)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Digest::SHA)

%{?perl_default_filter}

%description
This DBIx::Class component can be used to automatically encode a column's
contents whenever the value of that column is set.

%prep
%setup -q -n DBIx-Class-EncodedColumn-%{version}
# Crypt::OpenPGP is not available in Fedora.
# It cannot be packaged because its dependency, Crypt::RIPEMD160,
# cannot be packaged.  See rhbz#182235.
rm lib/DBIx/Class/EncodedColumn/Crypt/OpenPGP.pm

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/DBIx/Class/*
%{_mandir}/man3/*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.00013-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.00013-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.00013-2
- Perl 5.22 rebuild

* Wed Dec 10 2014 Petr Šabata <contyk@redhat.com> - 0.00013-1
- 0.00013 bump

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.00011-9
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.00011-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.00011-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.00011-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.00011-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jul 01 2012 Petr Pisar <ppisar@redhat.com> - 0.00011-4
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.00011-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.00011-2
- Perl mass rebuild

* Wed Apr 20 2011 Iain Arnell <iarnell@gmail.com> 0.00011-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.00010-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.00010-3
- 661697 rebuild for fixing problems with vendorach/lib

* Sun Aug 29 2010 Iain Arnell <iarnell@gmail.com> 0.00010-2
- disable Module::AutoInstall

* Sun Aug 29 2010 Iain Arnell <iarnell@gmail.com> 0.00010-1
- update to latest upstream
- new BR perl(Crypt::Eksblowfish::Bcrypt)
- new BR perl(Test::Exception)

* Thu May 20 2010 Iain Arnell <iarnell@gmail.com> 0.00009-1
- update to latest upstream

* Sat May 01 2010 Iain Arnell <iarnell@gmail.com> 0.00008-1
- update to latest upstream
- use perl_default_filter and DESTDIR
- BR perl(Dir::Self)

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.00006-2
- Mass rebuild with perl-5.12.0

* Sun Jan 17 2010 Iain Arnell <iarnell@gmail.com> 0.00006-1
- update to latest upstream version

* Mon Jan 11 2010 Iain Arnell <iarnell@gmail.com> 0.00005-3
- fix source0 location (was BADURL)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.00005-2
- rebuild against perl 5.10.1

* Sun Oct 18 2009 Iain Arnell <iarnell@gmail.com> 0.00005-1
- update to latest upstream

* Sat Sep 05 2009 Iain Arnell <iarnell@gmail.com> 0.00004-1
- update to latest upstream (minor documentation fix)

* Wed Sep 02 2009 Iain Arnell <iarnell@gmail.com> 0.00003-1
- update to latest upstream (copyright notice added)
- remove temporary BRs due to BZ #499768

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.00002-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Tom "spot" Callaway <tcallawa@redhat.com> 0.00002-2
- fix duplicate directory ownership (perl-DBIx-Class owns %{perl_vendorlib}/DBIx/Class/)

* Mon May 04 2009 Iain Arnell <iarnell@gmail.com> 0.00002-1
- Specfile autogenerated by cpanspec 1.77.
- Disable support for OpenPGP since it's not available in Fedora
- Additional BRs due to BZ #499768
